org.apache.catalina.valves.rewrite

## Class RewriteCond.PatternCondition

- java.lang.Object
- - org.apache.catalina.valves.rewrite.RewriteCond.Condition
  - - org.apache.catalina.valves.rewrite.RewriteCond.PatternCondition

- Enclosing class:
    RewriteCond

      public static class RewriteCond.PatternCondition
      extends RewriteCond.Condition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Pattern` | `pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewriteCond.PatternCondition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(String value, Resolver resolver)`
    `Matcher` | `getMatcher()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          public Pattern pattern

  - ### Constructor Detail

    - #### RewriteCond.PatternCondition

          public RewriteCond.PatternCondition()

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(String value,
                         Resolver resolver)

      Specified by:
        `evaluate` in class `RewriteCond.Condition`

    - #### getMatcher

          public Matcher getMatcher()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.